com.mockobjects.jms

## Class MockTextMessage

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessage
    - - com.mockobjects.jms.MockTextMessage

- All Implemented Interfaces:
    Verifiable

      public class MockTextMessage
      extends MockMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTextMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()`
    `void` | `setExpectedText(java.lang.String text)`
    `void` | `setText(java.lang.String text)`
    `void` | `setupGetText(java.lang.String text)`

    - ### Methods inherited from class com.mockobjects.jms.MockMessage

      `acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockTextMessage

          public MockTextMessage()

  - ### Method Detail

    - #### setText

          public void setText(java.lang.String text)

    - #### getText

          public java.lang.String getText()

    - #### setupGetText

          public void setupGetText(java.lang.String text)

    - #### setExpectedText

          public void setExpectedText(java.lang.String text)

Copyright © 2002 Mock Objects. All Rights Reserved.